/*
 * Copyright 2017-2020, Schlumberger
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.opengroup.osdu.register.provider.gcp.util;

import org.opengroup.osdu.register.utils.AppServiceConfig;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Component;

@Component
@Primary
public class GcpAppServiceConfig extends AppServiceConfig {

    @Value("${GOOGLE_CLOUD_PROJECT}")
    private String googleCloudProject;
    @Value("${SERVICE_IDENTITY}")
    private String serviceIdentity;

    public String getGoogleCloudProject() {
        return googleCloudProject;
    }

    public String getServiceAccountIdentity() {
        return String.format("%s@%s.iam.gserviceaccount.com", serviceIdentity, googleCloudProject);
    }
}